﻿Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Globalization
Imports System.Runtime.CompilerServices
Imports System.Threading
Imports System.Windows.Markup

Class MainWindow
    Implements INotifyPropertyChanged


    Public Sub New()

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        If Not DesignerProperties.GetIsInDesignMode(New DependencyObject) Then
            Dim currentCulture As CultureInfo = CultureInfo.CurrentCulture
            Thread.CurrentThread.CurrentCulture = currentCulture
            Thread.CurrentThread.CurrentUICulture = currentCulture
            LanguageProperty.OverrideMetadata(GetType(FrameworkElement), New FrameworkPropertyMetadata(
                XmlLanguage.GetLanguage(CultureInfo.CurrentCulture.IetfLanguageTag)))
        End If

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Persons = New ObservableCollection(Of Person)(New List(Of Person) From
                                                              {New Person() With {.Firstname = "Sascha", .Lastname = "Patschka", .Birthday = New Date(1983, 9, 12), .Credit = 1285},
                                                              New Person() With {.Firstname = "Max", .Lastname = "Mustermann", .Birthday = New Date(1991, 3, 27), .Credit = 8785},
                                                              New Person() With {.Firstname = "Susi", .Lastname = "Sorglos", .Birthday = New Date(1987, 1, 5), .Credit = 587}})

        SelectedPerson = Persons.First()
        Me.DataContext = Me
    End Sub




    Public Property Persons As ObservableCollection(Of Person)

    Private _selectedPerson As Person
    Public Property SelectedPerson As Person
        Get
            Return _selectedPerson
        End Get
        Set(ByVal Value As Person)
            _selectedPerson = Value
            RaisePropertyChanged()
        End Set
    End Property

    Protected Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional ByVal prop As String = "")
        RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
    End Sub

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

End Class
